Skip to main content
POST
/
gst
/
compliance
/
tax-payer
/
otp
curl --request POST \ --url https://api.sandbox.co.in/gst/compliance/tax-payer/otp \ --header 'Content-Type: application/json' \ --header 'authorization: <authorization>' \ --header 'x-api-key: <x-api-key>' \ --data ' { "username": "TN_NT2.2477", "gstin": "33ABKCS2033B1ZW" } '
{ "code": 200, "data": { "status_cd": "1" }, "timestamp": 1712926086000, "transaction_id": "9a6ce7b9-de63-48a8-b45b-0c5420538b25" }
Prerequisites: You must enable API access to get access to GST APIs. If not done already, enable API access.

Headers

authorization
string
required

JWT access token

x-source
string
default:primary

Source. Possible Values: primary (default) or secondary

Example:

"primary"

x-api-key
string
required

API key for identification

x-api-version
string
default:1.0.0

API version

Body

application/json
username
string
required

Username as per GST portal

gstin
string
required

GSTIN of the taxpayer

Response

200 Success / TEC4001 OTP generation failed / AUTH403 Maximum sessions reached

code
number
Example:

200

data
object
timestamp
number
Example:

1712926086000

transaction_id
string
Example:

"9a6ce7b9-de63-48a8-b45b-0c5420538b25"